import { ComponentFixture, TestBed } from '@angular/core/testing';

import { PeriodicTaskLogDetailsOverviewComponent } from './periodic-task-log-details-overview.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';

describe('PeriodicTaskLogDetailsOverviewComponent', () => {
  let component: PeriodicTaskLogDetailsOverviewComponent;
  let fixture: ComponentFixture<PeriodicTaskLogDetailsOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PeriodicTaskLogDetailsOverviewComponent],
      imports: [RouterTestingModule, HttpClientTestingModule],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PeriodicTaskLogDetailsOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
